PDA

View Full Version : Did a clean install of Lion - lost FCS 6




stcraw4d
Dec 12, 2011, 10:36 PM
I was having all sorts of bugs with Lion, because of a previous Time Machine migration, so I did a full re-install of it. I didn't migrate from Time Machine, rather just backed up what I needed, and re-installed everything fresh. However, because of not migrating, I lost access to Final Cut Studio 6.

I have all the disks, but since it's PowerPC based, it won't install.

I have a Snow Leopard disk, so if I reverted back to Snow Leopard, installed FCP and then backed it up to Time Machine - then upgraded to Leopard, migrating only my Time Machine with FCP, it should work....right?

I have Adobe CS5.5, but I like having FCP available to me - since that's my bread and butter.



maflynn
Dec 13, 2011, 06:16 AM
If the version of FCP won't install because it's powerpc based, then it won't even run if you got it installed. Lion does not have rosetta like its predecessors and so it can't run any powerpc based apps

stcraw4d
Dec 13, 2011, 08:35 AM
If the version of FCP won't install because it's powerpc based, then it won't even run if you got it installed. Lion does not have rosetta like its predecessors and so it can't run any powerpc based apps


It used to run on it, because I had migrated from my Time Machine. But, there were all sorts of things acting weird on it. Text Edit and preview wouldn't open. My dock kept resetting to it's old icons, iCal would have alerts from months ago pop up every 15 minutes, even after deleting settings, etc.

So, I did a clean install of Lion and added everything manually without migrating from Time Machine or another backup. All the bugs are fixed, but FCP won't install.

But, it HAS run on this machine before - last week, actually, on Lion OSX. It just won't install on Lion. It has to be pre-installed on a previous OSX before an upgrade to Lion. I guess it's Rosetta that I'm needing, like you're saying.

I'm just unsure if going backwards then forwards on OSX will work.

HelpdeskRules
Dec 13, 2011, 08:55 AM
If it's for a PowerPc then it should not work at the framework required to run it (Rosetta) is simply no longer included with Lion - no idea how you somehow got it to run.

You have 2 choices, either stick with Lion and upgrade your application or go back to Snow Leopard or previous.